[arch-commits] Commit in aarch64-linux-gnu-binutils/repos (4 files)

Anatol Pomozov anatolik at archlinux.org
Mon Aug 7 19:08:46 UTC 2017


    Date: Monday, August 7, 2017 @ 19:08:45
  Author: anatolik
Revision: 249487

archrelease: copy trunk to community-i686, community-x86_64

Added:
  aarch64-linux-gnu-binutils/repos/community-i686/PKGBUILD
    (from rev 249485, aarch64-linux-gnu-binutils/trunk/PKGBUILD)
  aarch64-linux-gnu-binutils/repos/community-x86_64/PKGBUILD
    (from rev 249485, aarch64-linux-gnu-binutils/trunk/PKGBUILD)
Deleted:
  aarch64-linux-gnu-binutils/repos/community-i686/PKGBUILD
  aarch64-linux-gnu-binutils/repos/community-x86_64/PKGBUILD

---------------------------+
 /PKGBUILD                 |  132 ++++++++++++++++++++++++++++++++++++++++++++
 community-i686/PKGBUILD   |   66 ----------------------
 community-x86_64/PKGBUILD |   66 ----------------------
 3 files changed, 132 insertions(+), 132 deletions(-)

Deleted: community-i686/PKGBUILD
===================================================================
--- community-i686/PKGBUILD	2017-08-07 19:08:39 UTC (rev 249486)
+++ community-i686/PKGBUILD	2017-08-07 19:08:45 UTC (rev 249487)
@@ -1,66 +0,0 @@
-# $Id$
-# Maintainer: Anatol Pomozov <anatol.pomozov at gmail.com>
-
-_target=aarch64-linux-gnu
-pkgname=$_target-binutils
-pkgver=2.28
-pkgrel=1
-#_commit=2bd25930
-pkgdesc='A set of programs to assemble and manipulate binary and object files for the ARM64 target'
-arch=(i686 x86_64)
-url='http://www.gnu.org/software/binutils/'
-license=(GPL)
-depends=(zlib)
-source=(ftp://ftp.gnu.org/gnu/binutils/binutils-$pkgver.tar.bz2{,.sig})
-sha1sums=('f8b033731f6baa437d429c60e2623570f1ef9d6b'
-          'SKIP')
-validpgpkeys=('EAF1C276A747E9ED86210CBAC3126D3B4AE55E93')  # Tristan Gingold <gingold at adacore.com>
-
-prepare() {
-  cd binutils-$pkgver
-  sed -i "/ac_cpp=/s/\$CPPFLAGS/\$CPPFLAGS -O2/" libiberty/configure
-}
-
-build() {
-  cd binutils-$pkgver
-
-  if [ "${CARCH}" != "i686" ];
-  then
-    # enabling gold linker at i686 makes the install fail
-    enable_gold='--enable-gold'
-  fi
-
-  ./configure --target=$_target \
-              --with-sysroot=/usr/$_target \
-              --prefix=/usr \
-              --disable-multilib \
-              --with-gnu-as \
-              --with-gnu-ld \
-              --disable-nls \
-              --enable-ld=default \
-              $enable_gold \
-              --enable-plugins \
-              --enable-deterministic-archives
-
-  make
-}
-
-check() {
-  cd binutils-$pkgver
-  
-  # unset LDFLAGS as testsuite makes assumptions about which ones are active
-  # do not abort on errors - manually check log files
-  make -k LDFLAGS="" check || true
-}
-
-package() {
-  cd binutils-$pkgver
-
-  make DESTDIR="$pkgdir" install
-
-  # Remove file conflicting with host binutils and manpages for MS Windows tools
-  rm "$pkgdir"/usr/share/man/man1/$_target-{dlltool,nlmconv,windres,windmc}*
-
-  # Remove info documents that conflict with host version
-  rm -r "$pkgdir"/usr/share/info
-}

Copied: aarch64-linux-gnu-binutils/repos/community-i686/PKGBUILD (from rev 249485, aarch64-linux-gnu-binutils/trunk/PKGBUILD)
===================================================================
--- community-i686/PKGBUILD	                        (rev 0)
+++ community-i686/PKGBUILD	2017-08-07 19:08:45 UTC (rev 249487)
@@ -0,0 +1,66 @@
+# $Id$
+# Maintainer: Anatol Pomozov <anatol.pomozov at gmail.com>
+
+_target=aarch64-linux-gnu
+pkgname=$_target-binutils
+pkgver=2.29
+pkgrel=1
+#_commit=2bd25930
+pkgdesc='A set of programs to assemble and manipulate binary and object files for the ARM64 target'
+arch=(i686 x86_64)
+url='http://www.gnu.org/software/binutils/'
+license=(GPL)
+depends=(zlib)
+source=(ftp://ftp.gnu.org/gnu/binutils/binutils-$pkgver.tar.bz2{,.sig})
+sha1sums=('4376bce1e58d591c6a5dd44fc8713f154208d735'
+          'SKIP')
+validpgpkeys=('EAF1C276A747E9ED86210CBAC3126D3B4AE55E93')  # Tristan Gingold <gingold at adacore.com>
+
+prepare() {
+  cd binutils-$pkgver
+  sed -i "/ac_cpp=/s/\$CPPFLAGS/\$CPPFLAGS -O2/" libiberty/configure
+}
+
+build() {
+  cd binutils-$pkgver
+
+  if [ "${CARCH}" != "i686" ];
+  then
+    # enabling gold linker at i686 makes the install fail
+    enable_gold='--enable-gold'
+  fi
+
+  ./configure --target=$_target \
+              --with-sysroot=/usr/$_target \
+              --prefix=/usr \
+              --disable-multilib \
+              --with-gnu-as \
+              --with-gnu-ld \
+              --disable-nls \
+              --enable-ld=default \
+              $enable_gold \
+              --enable-plugins \
+              --enable-deterministic-archives
+
+  make
+}
+
+check() {
+  cd binutils-$pkgver
+  
+  # unset LDFLAGS as testsuite makes assumptions about which ones are active
+  # do not abort on errors - manually check log files
+  make -k LDFLAGS="" check || true
+}
+
+package() {
+  cd binutils-$pkgver
+
+  make DESTDIR="$pkgdir" install
+
+  # Remove file conflicting with host binutils and manpages for MS Windows tools
+  rm "$pkgdir"/usr/share/man/man1/$_target-{dlltool,nlmconv,windres,windmc}*
+
+  # Remove info documents that conflict with host version
+  rm -r "$pkgdir"/usr/share/info
+}

Deleted: community-x86_64/PKGBUILD
===================================================================
--- community-x86_64/PKGBUILD	2017-08-07 19:08:39 UTC (rev 249486)
+++ community-x86_64/PKGBUILD	2017-08-07 19:08:45 UTC (rev 249487)
@@ -1,66 +0,0 @@
-# $Id$
-# Maintainer: Anatol Pomozov <anatol.pomozov at gmail.com>
-
-_target=aarch64-linux-gnu
-pkgname=$_target-binutils
-pkgver=2.28
-pkgrel=1
-#_commit=2bd25930
-pkgdesc='A set of programs to assemble and manipulate binary and object files for the ARM64 target'
-arch=(i686 x86_64)
-url='http://www.gnu.org/software/binutils/'
-license=(GPL)
-depends=(zlib)
-source=(ftp://ftp.gnu.org/gnu/binutils/binutils-$pkgver.tar.bz2{,.sig})
-sha1sums=('f8b033731f6baa437d429c60e2623570f1ef9d6b'
-          'SKIP')
-validpgpkeys=('EAF1C276A747E9ED86210CBAC3126D3B4AE55E93')  # Tristan Gingold <gingold at adacore.com>
-
-prepare() {
-  cd binutils-$pkgver
-  sed -i "/ac_cpp=/s/\$CPPFLAGS/\$CPPFLAGS -O2/" libiberty/configure
-}
-
-build() {
-  cd binutils-$pkgver
-
-  if [ "${CARCH}" != "i686" ];
-  then
-    # enabling gold linker at i686 makes the install fail
-    enable_gold='--enable-gold'
-  fi
-
-  ./configure --target=$_target \
-              --with-sysroot=/usr/$_target \
-              --prefix=/usr \
-              --disable-multilib \
-              --with-gnu-as \
-              --with-gnu-ld \
-              --disable-nls \
-              --enable-ld=default \
-              $enable_gold \
-              --enable-plugins \
-              --enable-deterministic-archives
-
-  make
-}
-
-check() {
-  cd binutils-$pkgver
-  
-  # unset LDFLAGS as testsuite makes assumptions about which ones are active
-  # do not abort on errors - manually check log files
-  make -k LDFLAGS="" check || true
-}
-
-package() {
-  cd binutils-$pkgver
-
-  make DESTDIR="$pkgdir" install
-
-  # Remove file conflicting with host binutils and manpages for MS Windows tools
-  rm "$pkgdir"/usr/share/man/man1/$_target-{dlltool,nlmconv,windres,windmc}*
-
-  # Remove info documents that conflict with host version
-  rm -r "$pkgdir"/usr/share/info
-}

Copied: aarch64-linux-gnu-binutils/repos/community-x86_64/PKGBUILD (from rev 249485, aarch64-linux-gnu-binutils/trunk/PKGBUILD)
===================================================================
--- community-x86_64/PKGBUILD	                        (rev 0)
+++ community-x86_64/PKGBUILD	2017-08-07 19:08:45 UTC (rev 249487)
@@ -0,0 +1,66 @@
+# $Id$
+# Maintainer: Anatol Pomozov <anatol.pomozov at gmail.com>
+
+_target=aarch64-linux-gnu
+pkgname=$_target-binutils
+pkgver=2.29
+pkgrel=1
+#_commit=2bd25930
+pkgdesc='A set of programs to assemble and manipulate binary and object files for the ARM64 target'
+arch=(i686 x86_64)
+url='http://www.gnu.org/software/binutils/'
+license=(GPL)
+depends=(zlib)
+source=(ftp://ftp.gnu.org/gnu/binutils/binutils-$pkgver.tar.bz2{,.sig})
+sha1sums=('4376bce1e58d591c6a5dd44fc8713f154208d735'
+          'SKIP')
+validpgpkeys=('EAF1C276A747E9ED86210CBAC3126D3B4AE55E93')  # Tristan Gingold <gingold at adacore.com>
+
+prepare() {
+  cd binutils-$pkgver
+  sed -i "/ac_cpp=/s/\$CPPFLAGS/\$CPPFLAGS -O2/" libiberty/configure
+}
+
+build() {
+  cd binutils-$pkgver
+
+  if [ "${CARCH}" != "i686" ];
+  then
+    # enabling gold linker at i686 makes the install fail
+    enable_gold='--enable-gold'
+  fi
+
+  ./configure --target=$_target \
+              --with-sysroot=/usr/$_target \
+              --prefix=/usr \
+              --disable-multilib \
+              --with-gnu-as \
+              --with-gnu-ld \
+              --disable-nls \
+              --enable-ld=default \
+              $enable_gold \
+              --enable-plugins \
+              --enable-deterministic-archives
+
+  make
+}
+
+check() {
+  cd binutils-$pkgver
+  
+  # unset LDFLAGS as testsuite makes assumptions about which ones are active
+  # do not abort on errors - manually check log files
+  make -k LDFLAGS="" check || true
+}
+
+package() {
+  cd binutils-$pkgver
+
+  make DESTDIR="$pkgdir" install
+
+  # Remove file conflicting with host binutils and manpages for MS Windows tools
+  rm "$pkgdir"/usr/share/man/man1/$_target-{dlltool,nlmconv,windres,windmc}*
+
+  # Remove info documents that conflict with host version
+  rm -r "$pkgdir"/usr/share/info
+}



More information about the arch-commits mailing list